> ## Documentation Index
> Fetch the complete documentation index at: https://docs.telewing247.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check USA SMS OTP

> Check received SMS OTP for a USA rental number

Checks the received SMS OTP for a USA rental number.

## Endpoint

```http theme={null}
GET /virtual-numbers/usa/sms
```

## Query parameters

| Parameter       | Type   | Required | Description                                                                            |
| --------------- | ------ | -------- | -------------------------------------------------------------------------------------- |
| `activation_id` | string | Yes      | USA activation ID returned from the rent request (e.g. `tigersms-us-17831000-654321`). |

## Example request

<CodeGroup>
  ```bash cURL theme={null}
  curl "https://api.telewing247.com/api/api/v1/public/virtual-numbers/usa/sms?activation_id=tigersms-us-17831000-654321" \
    -H "Accept: application/json" \
    -H "Authorization: Bearer ak_YOUR_API_KEY_HERE"
  ```

  ```javascript Node.js theme={null}
  const response = await fetch(
    "https://api.telewing247.com/api/api/v1/public/virtual-numbers/usa/sms?activation_id=tigersms-us-17831000-654321",
    {
      headers: {
        Accept: "application/json",
        Authorization: "Bearer ak_YOUR_API_KEY_HERE",
      },
    }
  );
  const data = await response.json();
  ```
</CodeGroup>
